#pragma once

#include "MainApplication.h"
#include "AbstractDesktopApp.h"
#include "DesktopManager.h"

#include <memory>

class GuiApplication : public AbstractDesktopApp
{

private:

    DesktopManagerUPtr mDesktopManager;
    MainApplicationPtr mMainApplication;

public:

    GuiApplication();

    ~GuiApplication();

    void SetMainApplication(MainApplicationPtr app);

    void Run();

    void SetUpWidget();
};
